中危 D-Bus Daemon < 1.2.4 - (libdbus) 拒绝服务

CVE编号

CVE-2008-3834

利用情况

EXP 已公开

补丁情况

官方补丁

披露时间

2008-10-08
该漏洞EXP已公开传播,漏洞利用成本极低,建议您立即关注并修复。
漏洞描述
1.2.4之前的D-bus library(libdbus)中的dbus_signature_validate函数允许远程攻击者通过包含格式错误的签名的消息导致,触发失败的断言错误,从而导致拒绝服务(应用程序中止)。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 freedesktop dbus * Up to
(including)
1.1.4
运行在以下环境
应用 freedesktop dbus 0.1 -
运行在以下环境
应用 freedesktop dbus 0.10 -
运行在以下环境
应用 freedesktop dbus 0.11 -
运行在以下环境
应用 freedesktop dbus 0.12 -
运行在以下环境
应用 freedesktop dbus 0.13 -
运行在以下环境
应用 freedesktop dbus 0.2 -
运行在以下环境
应用 freedesktop dbus 0.20 -
运行在以下环境
应用 freedesktop dbus 0.21 -
运行在以下环境
应用 freedesktop dbus 0.22 -
运行在以下环境
应用 freedesktop dbus 0.23 -
运行在以下环境
应用 freedesktop dbus 0.23.1 -
运行在以下环境
应用 freedesktop dbus 0.23.2 -
运行在以下环境
应用 freedesktop dbus 0.23.3 -
运行在以下环境
应用 freedesktop dbus 0.3 -
运行在以下环境
应用 freedesktop dbus 0.31 -
运行在以下环境
应用 freedesktop dbus 0.32 -
运行在以下环境
应用 freedesktop dbus 0.33 -
运行在以下环境
应用 freedesktop dbus 0.34 -
运行在以下环境
应用 freedesktop dbus 0.35 -
运行在以下环境
应用 freedesktop dbus 0.35.1 -
运行在以下环境
应用 freedesktop dbus 0.35.2 -
运行在以下环境
应用 freedesktop dbus 0.36 -
运行在以下环境
应用 freedesktop dbus 0.36.1 -
运行在以下环境
应用 freedesktop dbus 0.36.2 -
运行在以下环境
应用 freedesktop dbus 0.4 -
运行在以下环境
应用 freedesktop dbus 0.5 -
运行在以下环境
应用 freedesktop dbus 0.50 -
运行在以下环境
应用 freedesktop dbus 0.6 -
运行在以下环境
应用 freedesktop dbus 0.61 -
运行在以下环境
应用 freedesktop dbus 0.62 -
运行在以下环境
应用 freedesktop dbus 0.7 -
运行在以下环境
应用 freedesktop dbus 0.8 -
运行在以下环境
应用 freedesktop dbus 0.9 -
运行在以下环境
应用 freedesktop dbus 0.90 -
运行在以下环境
应用 freedesktop dbus 0.91 -
运行在以下环境
应用 freedesktop dbus 0.92 -
运行在以下环境
应用 freedesktop dbus 1.0.2 -
运行在以下环境
应用 freedesktop dbus 1.1.1 -
运行在以下环境
应用 freedesktop dbus 1.1.2 -
运行在以下环境
应用 freedesktop dbus1.0 rc1 -
运行在以下环境
应用 freedesktop dbus1.0 rc2 -
运行在以下环境
应用 freedesktop dbus1.0 rc3 -
运行在以下环境
应用 freedesktop dbus1.1.0 * -
运行在以下环境
系统 centos_5 dbus * Up to
(excluding)
1.0.0-7.el5_2.1
运行在以下环境
系统 debian_4.0 dbus * Up to
(excluding)
1.0.2-1+etch2
运行在以下环境
系统 oracle_5 dbus * Up to
(excluding)
1.0.0-7.el5_2.1
阿里云评分
5.1
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    EXP 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况